Index: tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid-with-defaults.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid-with-defaults.py >session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [stdout], [stderr])
@@ -46,5 +46,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid-with-defaults.py >session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [stdout], [stderr])
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --select-shape-by-name "cube1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid-with-defaults.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid-with-defaults.py >session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid-with-defaults_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-select-atoms-inside-cuboid.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid.py >session-selection-select-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
@@ -45,5 +45,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume  --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume  --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid.py >session-selection-select-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
@@ -59,5 +59,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume  --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --select-atoms-inside-volume  --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-cuboid.py >session-selection-select-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideCuboid/testsuite-selection-unselect-atoms-inside-cuboid.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume 0 -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume 0 -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
@@ -46,5 +46,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideCuboid/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "cube1" --shape-type "cube" --translation "0,0,0" --stretch "10, 10, 10" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "cube1" --unselect-atoms-inside-volume  --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-cuboid.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-cuboid.py >session-selection-unselect-atoms-inside-cuboid_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-cuboid_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-sphere.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-sphere.py >session-selection-select-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
@@ -45,5 +45,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-sphere.py >session-selection-select-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
@@ -59,5 +59,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10., 10., 10." --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-sphere.py >session-selection-select-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-select-atoms-inside-tiny-sphere.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-tiny-sphere.py >session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])
@@ -45,5 +45,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-tiny-sphere.py >session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])
@@ -59,5 +59,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --select-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-select-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-select-atoms-inside-tiny-sphere.py >session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-select-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-sphere.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -25,5 +25,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume  -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume  -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-sphere.py >session-selection-unselect-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
@@ -46,5 +46,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-sphere.py >session-selection-unselect-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
@@ -60,5 +60,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "10,10,10"  --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-sphere.py >session-selection-unselect-atoms-inside-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-sphere_new.py], 0, [stdout], [stderr])
Index: tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at
===================================================================
--- tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at	(revision 7a0456949e5c8efe51fc75d2a5902483c296feec)
+++ tests/GuiChecks/Selection/Atoms/AtomsInsideSphere/testsuite-selection-unselect-atoms-inside-tiny-sphere.at	(revision 024c65bc14cdcf98c86fcf1892e8bc3b3c0c6764)
@@ -24,5 +24,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-tiny-sphere.py >session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])
@@ -45,5 +45,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-tiny-sphere.py >session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])
@@ -59,5 +59,5 @@
 AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/regression/Selection/Atoms/AtomsInsideSphere/pre/box.xyz $file], 0)
 AT_CHECK([chmod u+w $file], 0)
-AT_CHECK([../../molecuilder --dry-run -i $file -v 5 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
+AT_CHECK([../../molecuilder --dry-run -i $file -v 2 --select-all-atoms --create-shape --shape-name "sphere1" --shape-type "sphere" --translation "10,10,10" --stretch "1.65, 1.65, 1.65" --angle-x 0. --angle-y 0. --angle-z 0. --select-shape-by-name "sphere1" --unselect-atoms-inside-volume --undo --redo -r --no-dry-run --store-session session-selection-unselect-atoms-inside-tiny-sphere.py --session-type python], 0, [stdout], [stderr])
 AT_CHECK([grep -v "Command.*DryRun" session-selection-unselect-atoms-inside-tiny-sphere.py >session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilderguitest session-selection-unselect-atoms-inside-tiny-sphere_new.py], 0, [stdout], [stderr])