Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-1.5.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-1.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-1.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,67 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=17, E=46, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.1684 0.0862 -0.6343 9
+-0.782 1.223 -0.3596 7
+1.4571 0.3173 0.1119 7
+-0.6406 -1.6032 -0.0372 2
+-1.9718 0.9798 0.2121 6
+-0.4729 2.3533 -0.654 3
+2.6131 0.4236 -0.5619 6
+1.4498 0.407 1.3168 2
+-2.8875 2.0751 0.4768 9
+3.8548 0.6463 0.1571 9
+0.3723 0.0334 -1.7037 5
+-3.142 2.5705 -0.4602 2
+-3.7944 1.6866 0.9403 4
+-2.4137 2.7904 1.149 3
+3.7888 1.58 0.7156 3
+4.0276 -0.1788 0.8479 3
+4.6801 0.705 -0.5526 6
+
+10 16 17
+10 16 17
+10 15 16
+10 15 17
+10 15 17
+7 10 15
+7 10 17
+7 10 17
+7 10 16
+3 7 16
+3 8 16
+3 7 15
+3 8 15
+2 3 8
+2 3 6
+1 2 8
+1 2 5
+1 2 5
+1 4 5
+1 4 5
+1 2 11
+1 4 11
+1 4 11
+1 3 11
+1 3 11
+3 7 11
+3 7 11
+1 6 11
+1 3 6
+1 3 8
+2 6 11
+2 6 12
+2 5 12
+5 9 12
+9 12 13
+9 12 13
+9 13 14
+9 13 14
+9 12 14
+5 9 13
+5 9 13
+5 9 14
+2 5 14
+2 6 14
+8 15 16
+6 12 14
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.5.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,42 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=14, E=24, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+-0.782 1.223 -0.3596 3
+1.4571 0.3173 0.1119 3
+-0.6406 -1.6032 -0.0372 0
+-1.9718 0.9798 0.2121 3
+-0.4729 2.3533 -0.654 2
+2.6131 0.4236 -0.5619 2
+1.4498 0.407 1.3168 3
+0.3723 0.0334 -1.7037 2
+-3.142 2.5705 -0.4602 0
+-3.7944 1.6866 0.9403 0
+-2.4137 2.7904 1.149 1
+3.7888 1.58 0.7156 1
+4.0276 -0.1788 0.8479 0
+4.6801 0.705 -0.5526 0
+
+6 13 14
+2 6 13
+2 7 13
+2 3 7
+2 6 8
+2 3 8
+7 12 13
+12 13 14
+5 7 12
+5 6 12
+6 12 14
+5 6 8
+5 7 11
+4 7 11
+4 10 11
+3 4 7
+1 5 8
+1 5 9
+1 4 9
+1 4 8
+3 4 8
+4 9 10
+5 9 11
+9 10 11
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-2.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,55 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=15, E=36, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+0.1684 0.0862 -0.6343 10
+-0.782 1.223 -0.3596 9
+1.4571 0.3173 0.1119 6
+-0.6406 -1.6032 -0.0372 5
+-1.9718 0.9798 0.2121 6
+-0.4729 2.3533 -0.654 3
+2.6131 0.4236 -0.5619 2
+1.4498 0.407 1.3168 6
+0.3723 0.0334 -1.7037 3
+-3.142 2.5705 -0.4602 0
+-3.7944 1.6866 0.9403 0
+-2.4137 2.7904 1.149 0
+3.7888 1.58 0.7156 0
+4.0276 -0.1788 0.8479 0
+4.6801 0.705 -0.5526 0
+
+7 14 15
+3 7 14
+3 8 14
+3 4 8
+3 7 9
+1 3 9
+1 4 9
+1 4 9
+1 2 9
+1 2 5
+1 2 5
+1 2 8
+2 5 8
+2 5 8
+1 4 5
+1 4 5
+1 4 8
+1 3 4
+2 5 12
+2 6 12
+2 6 8
+2 5 10
+2 6 10
+2 6 9
+3 6 8
+3 8 13
+3 7 13
+3 6 7
+6 7 9
+5 10 11
+5 11 12
+7 13 15
+6 10 12
+10 11 12
+8 13 14
+13 14 15
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-25.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-25.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-25.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,30 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=10, E=16, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+-0.6406 -1.6032 -0.0372 0
+-0.4729 2.3533 -0.654 0
+1.4498 0.407 1.3168 0
+0.3723 0.0334 -1.7037 0
+-3.142 2.5705 -0.4602 0
+-3.7944 1.6866 0.9403 0
+-2.4137 2.7904 1.149 0
+3.7888 1.58 0.7156 0
+4.0276 -0.1788 0.8479 0
+4.6801 0.705 -0.5526 0
+
+1 9 10
+1 4 10
+1 4 5
+1 5 6
+2 4 5
+2 4 10
+2 8 10
+2 7 8
+2 5 7
+5 6 7
+3 7 8
+3 8 9
+3 6 7
+1 3 6
+1 3 9
+8 9 10
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.5.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.5.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,38 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=12, E=22, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+-0.6406 -1.6032 -0.0372 4
+-1.9718 0.9798 0.2121 8
+-0.4729 2.3533 -0.654 1
+2.6131 0.4236 -0.5619 3
+1.4498 0.407 1.3168 2
+0.3723 0.0334 -1.7037 1
+-3.142 2.5705 -0.4602 1
+-3.7944 1.6866 0.9403 3
+-2.4137 2.7904 1.149 1
+3.7888 1.58 0.7156 1
+4.0276 -0.1788 0.8479 1
+4.6801 0.705 -0.5526 0
+
+4 11 12
+1 4 11
+1 4 6
+1 5 11
+1 2 5
+2 5 9
+2 8 9
+1 2 8
+1 2 8
+2 7 8
+2 6 7
+1 2 6
+3 6 7
+3 4 6
+3 4 10
+4 10 12
+3 5 10
+3 5 9
+3 7 9
+7 8 9
+5 10 11
+10 11 12
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-3.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,42 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=14, E=24, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+-0.782 1.223 -0.3596 3
+1.4571 0.3173 0.1119 3
+-0.6406 -1.6032 -0.0372 1
+-1.9718 0.9798 0.2121 3
+-0.4729 2.3533 -0.654 2
+2.6131 0.4236 -0.5619 2
+1.4498 0.407 1.3168 3
+0.3723 0.0334 -1.7037 1
+-3.142 2.5705 -0.4602 0
+-3.7944 1.6866 0.9403 0
+-2.4137 2.7904 1.149 1
+3.7888 1.58 0.7156 1
+4.0276 -0.1788 0.8479 0
+4.6801 0.705 -0.5526 0
+
+6 13 14
+2 6 13
+2 3 6
+3 6 8
+2 7 13
+2 3 7
+3 4 7
+4 7 11
+4 10 11
+5 7 11
+5 7 12
+5 6 12
+6 12 14
+5 6 8
+1 5 8
+1 5 9
+1 4 9
+1 4 8
+3 4 8
+4 9 10
+5 9 11
+9 10 11
+7 12 13
+12 13 14
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-4.dat
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-4.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/post/NonConvexEnvelope-dimethyl_bromomalonate-4.dat	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,38 @@
+TITLE = "3D CONVEX SHELL"
+VARIABLES = "X" "Y" "Z" "U"
+ZONE T="dimethyl_bromomalonate", N=12, E=22, DATAPACKING=POINT, ZONETYPE=FETRIANGLE
+-0.6406 -1.6032 -0.0372 4
+-1.9718 0.9798 0.2121 8
+-0.4729 2.3533 -0.654 1
+2.6131 0.4236 -0.5619 3
+1.4498 0.407 1.3168 2
+0.3723 0.0334 -1.7037 1
+-3.142 2.5705 -0.4602 1
+-3.7944 1.6866 0.9403 3
+-2.4137 2.7904 1.149 1
+3.7888 1.58 0.7156 1
+4.0276 -0.1788 0.8479 1
+4.6801 0.705 -0.5526 0
+
+4 11 12
+1 4 11
+1 4 6
+1 5 11
+1 2 5
+2 5 9
+2 8 9
+1 2 8
+1 2 8
+2 7 8
+2 6 7
+1 2 6
+3 6 7
+3 4 6
+3 4 10
+4 10 12
+5 10 11
+10 11 12
+3 5 10
+3 5 9
+3 7 9
+7 8 9
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/pre/dimethyl_bromomalonate.xyz	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,19 @@
+17
+NCI NSC 175888 No Name
+C    0.1684    0.0862   -0.6343
+C   -0.7820    1.2230   -0.3596
+C    1.4571    0.3173    0.1119
+Br   -0.6406   -1.6032   -0.0372
+O   -1.9718    0.9798    0.2121
+O   -0.4729    2.3533   -0.6540
+O    2.6131    0.4236   -0.5619
+O    1.4498    0.4070    1.3168
+C   -2.8875    2.0751    0.4768
+C    3.8548    0.6463    0.1571
+H    0.3723    0.0334   -1.7037
+H   -3.1420    2.5705   -0.4602
+H   -3.7944    1.6866    0.9403
+H   -2.4137    2.7904    1.1490
+H    3.7888    1.5800    0.7156
+H    4.0276   -0.1788    0.8479
+H    4.6801    0.7050   -0.5526
Index: tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at
===================================================================
--- tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
+++ tests/Tesselations/NonConvex/dimethyl_bromomalonate/testsuite-dimethyl_bromomalonate.at	(revision 33ee9960e3c188eaa1d7490c6b14994fbd779863)
@@ -0,0 +1,40 @@
+#
+#    MoleCuilder - creates and alters molecular systems
+#    Copyright (C) 2008-2012 University of Bonn
+#
+#    This program is free software: you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation, either version 3 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+### dimethyl_bromomalonate
+
+AT_SETUP([Non-convex Tesselations - dimethyl_bromomalonate])
+AT_KEYWORDS([tesselation non-convex-envelope])
+
+mol=dimethyl_bromomalonate
+
+file=${mol}.xyz
+AT_CHECK([/bin/cp -f ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/pre/$file $file], 0)
+AT_CHECK([chmod u+w $file], 0)
+
+for RADIUS in  1.5 2 2.5 3 3.5 4 25; do
+	output=NonConvexEnvelope-${mol}-${RADIUS}.dat
+	AT_CHECK([../../molecuilder -i $file --select-molecule-by-id 0 -N ${RADIUS} --nonconvex-file $output], 0, [stdout], [stderr])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" ${abs_top_srcdir}/tests/Tesselations/NonConvex/${mol}/post/$output | sort -n >reference-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([grep -E "^[0-9]* [0-9]* [0-9]*$" $output | sort -n >new-triangles.dat], 0, [ignore], [ignore])
+	AT_CHECK([diff reference-triangles.dat new-triangles.dat], 0, [ignore], [ignore])
+done
+
+AT_CLEANUP
+
+
+